Road to Rome exp. All servers wrong version??? -1 reply

Please wait...

TheBoy*AUS*

I don't spend enough time here

50 XP

6th April 2003

0 Uploads

15 Posts

0 Threads

#1 16 years ago

CAPS???




greenbud

The Internet ends at GF

50 XP

17th November 2002

0 Uploads

135 Posts

0 Threads

#2 16 years ago

most people think you dont need the 1.2 patch...well i think you do ...each patch is not a combination of the other patches..it is a patch to fix the know issues at that time..some people will say you don'y need it but wouldn't hurt to try

istall this way

bf1942 1.2 patch RTR (it syncs to version 1.25) then add the 1.31 patch ...don't worry about the 1.3 patch thats a joke hope this helps and i never have had a problem after installing this way

and to the people that say you don't need it ,why is it still available for download?

goodluck